// GuruAppDlg.cpp : implementation file
//

#include "stdafx.h"
#include "GuruApp.h"
#include "GuruAppDlg.h"

#include "StaticCounter.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGuruAppDlg dialog

CGuruAppDlg::CGuruAppDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGuruAppDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGuruAppDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CGuruAppDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGuruAppDlg)
	DDX_Control(pDX, IDC_HYPERLINK_MAIL, m_hyperMail);
	DDX_Control(pDX, IDC_HYPERLINK, m_hyperlinkWeb);
	DDX_Control(pDX, IDC_STATIC_COUNTER, m_staticCounter);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CGuruAppDlg, CDialog)
	//{{AFX_MSG_MAP(CGuruAppDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGuruAppDlg message handlers

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// Function Header
BOOL CGuruAppDlg::OnInitDialog()
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	
	m_nNumber = 0;
	m_hyperlinkWeb.SetUnderline(FALSE);
	m_hyperMail.SetUnderline(FALSE);
	m_hyperMail.SetURL("mailto:jhattingh@greystonefx.com");

//	m_staticCounter.SetColorBackGround(0x00220000);
//	m_staticCounter.SetColorForeGround(0x00FFF000);

	SetTimer(403, 100, NULL);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CGuruAppDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CGuruAppDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// Function Header
void CGuruAppDlg::OnStart()
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
{

}


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// Function Header
void CGuruAppDlg::OnTimer(UINT nIDEvent) 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
{
	m_staticCounter.Display( m_nNumber++);
	
	CDialog::OnTimer(nIDEvent);
}
